- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Condition Struct Reference

## Data Fields
Eina_Lock * | lock
pthread_cond_t | condition
int | waiters_count
CRITICAL_SECTION | waiters_count_lock
CRITICAL_SECTION * | mutex
HANDLE | semaphore
HANDLE | waiters_done
Eina_Bool | was_broadcast

## Detailed Description

Examples:
  ecore_thread_example.c.